##
##  rsync.conf -- OpenPKG rsync configuration (daemon mode only)
##

secrets file       = @l_prefix@/etc/rsync/rsync.passwd
lock file          = @l_prefix@/var/rsync/rsync.lck
pid file           = @l_prefix@/var/rsync/rsync.pid
log file           = @l_prefix@/var/rsync/rsync.log

max connections    = 20
timeout            = 60
strict modes       = yes
use chroot         = yes
read only          = yes
ignore nonreadable = yes
transfer logging   = yes
log format         = "%o %h [%a] %m (%u) %f %l"
dont compress      = *.bz2 *.gz *.zip *.z *.rpm *.deb *.tgz *.iso
list               = no
uid                = @l_nusr@
gid                = @l_ngrp@

[pub]
comment            = Public area of @l_prefix@ OpenPKG instance
path               = @l_prefix@/pub/
exclude            = .*
read only          = yes
list               = yes

